> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update secret default value

> Updates the default (project-level) value and/or visibility of a secret by name.



## OpenAPI

````yaml /specs/realtime/openapi.public.json patch /v1/secrets-management/projects/{projectID}/secrets/{secretName}
openapi: 3.0.0
info:
  title: Realtime
  description: Realtime gateway API service
  version: 1.0.0
  contact: {}
servers:
  - url: https://realtime-api.voiceflow.com
security: []
paths:
  /v1/secrets-management/projects/{projectID}/secrets/{secretName}:
    patch:
      tags:
        - SecretsManagementPublicApi
        - Public-Docs
      summary: Update secret default value
      description: >-
        Updates the default (project-level) value and/or visibility of a secret
        by name.
      operationId: SecretPublicHTTPController_patchDefaultValue
      parameters:
        - name: projectID
          required: true
          in: path
          schema:
            type: string
        - name: secretName
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchDefaultValueRequest'
      responses:
        '200':
          description: ''
      security:
        - auth: []
components:
  schemas:
    PatchDefaultValueRequest:
      type: object
      properties:
        value:
          type: string
        visibility:
          allOf:
            - $ref: '#/components/schemas/SecretVisibility'
    SecretVisibility:
      type: string
      enum:
        - restricted
        - masked
      x-enumNames:
        - RESTRICTED
        - MASKED
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````